<?php

namespace Planaday\Utility\FormBuilder\LayoutItems;

use Planaday\Utility\FormBuilder\LayoutItem;

class Html implements LayoutItem {
	use BasicLayoutItem;

	public function __construct(
		protected string $html
	) {}

	public function getHtml(): string {
		return $this->html;
	}

	public function getImplJson(): array {
		return [
			"type" => 'html',
			"html" => $this->html
		];
	}
}